Remove a WebAuthn credential
DELETE
/api/v1/mfa/webauthn/{id}
const url = 'https://osctrl.net/api/v1/mfa/webauthn/example';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://osctrl.net/api/v1/mfa/webauthn/example \ --header 'Content-Type: application/json' \ --data '{ "password": "example" }'Deletes one registered passkey or security key after confirming the account password.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Credential ID
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
password
string
Examplegenerated
{ "password": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}